Debian Bug report logs - #516124
gnome-keyring: HAL context error repeating

version graph

Package: gnome-keyring; Maintainer for gnome-keyring is Josselin Mouette <joss@debian.org>; Source for gnome-keyring is src:gnome-keyring.

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Thu, 19 Feb 2009 12:39:01 UTC

Severity: normal

Merged with 512940

Found in version gnome-keyring/2.22.3-2

Fixed in version 3.2.2-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ondřej Surý <ondrej@debian.org>:
Bug#516124; Package gnome-keyring. (Thu, 19 Feb 2009 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to Ondřej Surý <ondrej@debian.org>. (Thu, 19 Feb 2009 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-keyring: HAL context error repeating
Date: Thu, 19 Feb 2009 12:36:06 +0000
Package: gnome-keyring
Version: 2.22.3-2
Severity: normal

Hi,

My auth.log is full of entries such as:
gnome-keyring-daemon[27845]: failed to initialize a HAL context: Connection is closed

I don't know anything about gnome-keyring - all I can say is that it was pulled in 
when I installed gdm.  I don't use gnome-session on this machine - I log into
fluxbox from the gdm login screen.

Hope someone can advise - it's not a show-stopper but it is pretty annoying.

Antony

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-keyring depends on:
ii  gconf2                        2.22.0-1   GNOME configuration database syste
ii  libatk1.0-0                   1.22.0-1   The ATK accessibility toolkit
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libcairo2                     1.6.4-7    The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.1-5    simple interprocess messaging syst
ii  libgconf2-4                   2.22.0-1   GNOME configuration database syste
ii  libgcrypt11                   1.4.1-1    LGPL Crypto library - runtime libr
ii  libglib2.0-0                  2.16.6-1   The GLib library of C routines
ii  libgtk2.0-0                   2.12.11-4  The GTK+ graphical user interface 
ii  libhal-storage1               0.5.11-8   Hardware Abstraction Layer - share
ii  libhal1                       0.5.11-8   Hardware Abstraction Layer - share
ii  libpango1.0-0                 1.20.5-3   Layout and rendering of internatio
ii  libtasn1-3                    1.4-1      Manage ASN.1 structures (runtime)

Versions of packages gnome-keyring recommends:
ii  libpam-gnome-keyring          2.22.3-2   PAM module to unlock the GNOME key

gnome-keyring suggests no packages.

-- no debconf information




Forcibly Merged 512940 516124. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 19 Feb 2009 23:33:04 GMT) Full text and rfc822 format available.

Merged 512940 516124. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Mon, 23 Mar 2009 17:33:04 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2.24.1-2. Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. (Mon, 20 Apr 2009 18:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#516124; Package gnome-keyring. (Wed, 02 Jun 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leite <dleite@portoeditora.pt>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 02 Jun 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #16 received at 516124@bugs.debian.org (full text, mbox):

From: Daniel Leite <dleite@portoeditora.pt>
To: 516124@bugs.debian.org
Subject: gnome-keyring: HAL context error repeating
Date: Wed, 2 Jun 2010 16:17:31 +0100
Hi

	I also had this annoying log and done this:

# killall gnome-keyring-daemon
# aptitude purge libgnome-keyring0  libpam-gnome-keyring gnome-keyring

	Main problem solved... the real problem is that the gnome have huge
(and false) dependencies, even in small, isolated apps.


Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#516124; Package gnome-keyring. (Thu, 03 Jun 2010 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 516124@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 03 Jun 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #21 received at 516124@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Daniel Leite <dleite@portoeditora.pt>, 516124@bugs.debian.org
Subject: Re: Bug#516124: gnome-keyring: HAL context error repeating
Date: Thu, 03 Jun 2010 10:04:19 +0200
Le mercredi 02 juin 2010 à 16:17 +0100, Daniel Leite a écrit :
> Hi
> 
> 	I also had this annoying log and done this:
> 
> # killall gnome-keyring-daemon
> # aptitude purge libgnome-keyring0  libpam-gnome-keyring gnome-keyring

Removing the package doesn’t actually fix the bug.

> 	Main problem solved... the real problem is that the gnome have huge
> (and false) dependencies, even in small, isolated apps.

Since you seem to have good knowledge of what dependencies should be,
your contributions are welcome.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “A handshake with whitnesses is the same
  `-     as a signed contact.”  -- Jörg Schilling





Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Feb 2012 07:35:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:17:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.